Summary: Popular Unix Irc client
Name: ircii-EPIC4
Version: pre1.400
Release: 1
Copyright: BSD
Group: Applications/Communications
Source: ftp://ftp.acronet.net/pub/ircii/epic4%{version}.tar.gz
Patch0: ircii-EPIC-global.patch
Patch1: ircii-EPIC-ln.patch
Buildroot: /tmp/%{name}-%{version}-root

%description
This is a popular Internet Relay Chat (IRC) client. EPIC is the (E)nhanced
(P)rogrammable (I)RC-II (C)lient.  It is a program used to connect to IRC
servers around the globe so that the user can ``chat'' with others.

%prep 
%setup -n %{name}%{version}
%patch0 -p1
%patch1 -p1

%build
rm -rf $RPM_BUILD_ROOT
CFLAGS="${RPM_OPT_FLAGS}" LDFLAGS=-s \
	./configure --prefix=/usr
make all

%clean
rm -rf $RPM_BUILD_ROOT

%install
make install prefix=$RPM_BUILD_ROOT/usr
install -d $RPM_BUILD_ROOT/usr/man/man1
install -m644 doc/ircII.1 $RPM_BUILD_ROOT/usr/man/man1

echo "irc.df.lth.se:6667" >> $RPM_BUILD_ROOT/usr/lib/irc/ircII.servers
echo "efnet.telia.no:6667" >> $RPM_BUILD_ROOT/usr/lib/irc/ircII.servers
echo "irc.prison.net:6667" >> $RPM_BUILD_ROOT/usr/lib/irc/ircII.servers
echo "irc.cerf.org:6667" >> $RPM_BUILD_ROOT/usr/lib/irc/ircII.servers

%files
%defattr(644,root,root,755)
%doc INSTALL UPDATES KNOWNBUGS BUG_FORM doc
%verify(not md5 size mtime) %config(noreplace) /usr/lib/irc/ircII.servers
%attr(755,root,root) /usr/bin/irc*
%attr(755,root,root) /usr/bin/wserv
%attr(644,root,root) /usr/man/man1/ircII.1
%attr(644,root,root) /usr/lib/irc/script/*

%changelog
* Fri Jul  3 1998 Maciej Lesniewski <nimir@kis.p.lodz.pl>
  [pre1.400-1]
- New version
- Added %{name} and %{version} macros
- Added %{defattr} in %{files}
- Added %{vefify} macro in %config
- Removed old changelog enteries

* Thu Jun 18 1998 Maciej Lesniewski <nimir@kis.p.lodz.pl>
- Upgraded to pre1.300

* Sat Jun  6 1998 Maciej Lesniewski <nimir@kis.p.lodz.pl>
- Fixed link creation error (ircii-EPIC-ln.patch)

* Sat May 30 1998 Anders Andersson <anders@sanyusan.se>
- Upgraded to pre1.201
